// $Id: yoxview.js,v 1.1 2010/02/27 23:34:05 robloach Exp $

/**
 * The base path to the YoxView installation. Gets set in the behavior.
 */
var yoxviewPath = '';

(function ($) {

/**
 * Provides the YoxView Drupal behavior.
 */
Drupal.behaviors.yoxview = {
  attach: function (context, settings) {
    // Initialize the YoxView path.
    yoxviewPath = settings.basePath + settings.yoxviewPath;

    // Apply the YoxView image viewer to the desired elements.
    $.each(settings.yoxview || {}, function(index, id) {
      $(id).once('yoxview').yoxview();
    });
  }
};

})(jQuery);
